Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.Designer.cs	(revision 54)
@@ -2103,10 +2133,10 @@
             // 
             // dataGridViewTextBoxColumn6
             // 
-            dataGridViewCellStyle43.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle43.Font = new System.Drawing.Font("Century", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-            dataGridViewCellStyle43.ForeColor = System.Drawing.Color.Black;
-            this.dataGridViewTextBoxColumn6.DefaultCellStyle = dataGridViewCellStyle43;
+            dataGridViewCellStyle13.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle13.Font = new System.Drawing.Font("Century", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            dataGridViewCellStyle13.ForeColor = System.Drawing.Color.Black;
+            this.dataGridViewTextBoxColumn6.DefaultCellStyle = dataGridViewCellStyle13;
             this.dataGridViewTextBoxColumn6.Frozen = true;
             this.dataGridViewTextBoxColumn6.HeaderText = "事務所発";
             this.dataGridViewTextBoxColumn6.Name = "dataGridViewTextBoxColumn6";
@@ -2115,10 +2145,10 @@
             // 
             // dataGridViewTextBoxColumn7
             // 
-            dataGridViewCellStyle44.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle44.Font = new System.Drawing.Font("Century", 9F, System.Drawing.FontStyle.Bold);
-            dataGridViewCellStyle44.ForeColor = System.Drawing.Color.Black;
-            this.dataGridViewTextBoxColumn7.DefaultCellStyle = dataGridViewCellStyle44;
+            dataGridViewCellStyle14.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle14.Font = new System.Drawing.Font("Century", 9F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle14.ForeColor = System.Drawing.Color.Black;
+            this.dataGridViewTextBoxColumn7.DefaultCellStyle = dataGridViewCellStyle14;
             this.dataGridViewTextBoxColumn7.Frozen = true;
             this.dataGridViewTextBoxColumn7.HeaderText = "事務所着";
             this.dataGridViewTextBoxColumn7.Name = "dataGridViewTextBoxColumn7";
@@ -2127,10 +2157,10 @@
             // 
             // dataGridViewTextBoxColumn8
             // 
-            dataGridViewCellStyle45.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            dataGridViewCellStyle45.Font = new System.Drawing.Font("Century", 9F, System.Drawing.FontStyle.Bold);
-            dataGridViewCellStyle45.ForeColor = System.Drawing.Color.Black;
-            this.dataGridViewTextBoxColumn8.DefaultCellStyle = dataGridViewCellStyle45;
+            dataGridViewCellStyle15.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            dataGridViewCellStyle15.Font = new System.Drawing.Font("Century", 9F, System.Drawing.FontStyle.Bold);
+            dataGridViewCellStyle15.ForeColor = System.Drawing.Color.Black;
+            this.dataGridViewTextBoxColumn8.DefaultCellStyle = dataGridViewCellStyle15;
             this.dataGridViewTextBoxColumn8.Frozen = true;
             this.dataGridViewTextBoxColumn8.HeaderText = "当日計";
             this.dataGridViewTextBoxColumn8.Name = "dataGridViewTextBoxColumn8";
@@ -2219,30 +2249,6 @@
             this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.comboBox1_SelectedIndexChanged);
             this.comboBox1.Enter += new System.EventHandler(this.comboBox1_Enter);
             // 
-            // panel2
-            // 
-            this.panel2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.panel2.BackColor = System.Drawing.Color.LemonChiffon;
-            this.panel2.Controls.Add(this.btnWorkingList);
-            this.panel2.Location = new System.Drawing.Point(1102, 3);
-            this.panel2.Name = "panel2";
-            this.panel2.Size = new System.Drawing.Size(237, 34);
-            this.panel2.TabIndex = 106;
-            // 
-            // btnWorkingList
-            // 
-            this.btnWorkingList.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnWorkingList.BackColor = System.Drawing.Color.DarkOrange;
-            this.btnWorkingList.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnWorkingList.ForeColor = System.Drawing.Color.Black;
-            this.btnWorkingList.Location = new System.Drawing.Point(4, 4);
-            this.btnWorkingList.Name = "btnWorkingList";
-            this.btnWorkingList.Size = new System.Drawing.Size(230, 26);
-            this.btnWorkingList.TabIndex = 12;
-            this.btnWorkingList.Text = "作成状態を表示する";
-            this.btnWorkingList.UseVisualStyleBackColor = false;
-            this.btnWorkingList.Click += new System.EventHandler(this.btnWorkingList_Click);
-            // 
             // FrmDRWork
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -2273,10 +2279,10 @@
             this.tabControl1.ResumeLayout(false);
             this.tabPage1.ResumeLayout(false);
             this.tabPage2.ResumeLayout(false);
+            this.panel2.ResumeLayout(false);
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvTransport02)).EndInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgvTransport01)).EndInit();
-            this.panel2.ResumeLayout(false);
             this.ResumeLayout(false);
 
         }
@@ -2399,13 +2405,6 @@
         private System.Windows.Forms.Label lblDspKm1;
         private System.Windows.Forms.Label label87;
         private System.Windows.Forms.Label label88;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
         private System.Windows.Forms.Label label45;
         private System.Windows.Forms.Label label31;
         private System.Windows.Forms.Label label33;
@@ -2436,5 +2435,12 @@
         private System.Windows.Forms.DataGridViewCheckBoxColumn dataGridViewCheckBoxColumn7;
         private System.Windows.Forms.Panel panel2;
         private System.Windows.Forms.Button btnWorkingList;
+        private System.Windows.Forms.Label label18;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWork.cs	(revision 54)
@@ -41,8 +41,7 @@
             DispDay = 0,
             AttendanceDate,
             WeekString,
-            ConstructionCode,
-            ConstructionName,
+            ActionResult,
             OverTimes,
             Comment,
         }
@@ -101,6 +100,10 @@
             /// 残業時間
             /// </summary>
             Overtime,
+            /// <summary>
+            /// 申請受付番号
+            /// </summary>
+            OrderNo,
 
             KmTodayTotal,
             OfficeTodayCnt01,
@@ -147,7 +150,7 @@
         /// <summary>
         /// 対象年月
         /// </summary>
-        private DateTime m_ReportDate = DateTime.Now;
+        private DateTime m_OrderDate = DateTime.Now;
 
         /// <summary>
         /// 終了ボタン押下フラグ
@@ -195,6 +198,11 @@
         /// </summary>
         private FrmDRWorkList m_frmDRWorkList = null;
 
+        /// <summary>
+        /// 承認済みフラグ
+        /// </summary>
+        //private bool m_ApprovalFlag = false;
+
         #endregion
 
         #region プロパティ
@@ -210,10 +218,10 @@
         /// <summary>
         /// 対象年月
         /// </summary>
-        public DateTime ReportDate
+        public DateTime OrdertDate
         {
-            get { return m_ReportDate; }
-            set { m_ReportDate = value; }
+            get { return m_OrderDate; }
+            set { m_OrderDate = value; }
         }
 
         /// <summary>
@@ -268,6 +276,9 @@
                 // ログイン者のセット
                 InitDepPersonCode();
 
+                // 選択値のセット
+                SetVariableValue();
+
                 // 初期表示
                 InitDataLoad();
 
@@ -463,9 +474,11 @@
             // 担当者コンボボックスをセットする
             SetcombBoxPerson();
 
+            // 変数を取り込む
+            SetVariableValue();
+
             // データ表示
-            InitDispData01();
-            InitDispData02();
+            InitDataLoad();
 
             // データ変更フラグクリア
             m_bChengeAns = false;
@@ -507,9 +520,11 @@
             }
             SetPerosonToDepartment();
 
+            // 変数を取り込む
+            SetVariableValue();
+
             // データ表示
-            InitDispData01();
-            InitDispData02();
+            InitDataLoad();
 
             // データ変更フラグクリア
             m_bChengeAns = false;
@@ -550,9 +565,11 @@
                 }
             }
 
+            // 変数を取り込む
+            SetVariableValue();
+
             // データ表示
-            InitDispData01();
-            InitDispData02();
+            InitDataLoad();
 
             // データ変更フラグクリア
             m_bChengeAns = false;
@@ -605,6 +622,7 @@
                 //IMEのモードを変更する
                 switch (e.ColumnIndex)
                 {
+                    case (int)GridColumn01.ActionResult:
                     case (int)GridColumn01.Comment:
                         dgv.ImeMode = ImeMode.On;
                         break;
@@ -656,42 +674,6 @@
         }
         #endregion
 
-        #region 日報グリッドセルのダブルクリック
-        /// <summary>
-        /// 日報グリッドセルのダブルクリック
-        /// </summary>
-        /// <param name="sender"></param>
-        /// <param name="e"></param>
-        private void dgvAllDisplay_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
-        {
-            try
-            {
-                if (GetConstructionPersonCode() == 0) return;
-
-                // 参照時は処理しない
-                if (m_EditLock) return;
-
-                switch (e.ColumnIndex)
-                {
-                    case (int)GridColumn01.ConstructionName:
-                        // 工事名称
-                        SetConstruction(e.RowIndex);
-                        break;
-                    default:
-                        break;
-                }
-                DataGridView dgv = dgvAllDisplay;
-                dgv.EndEdit();
-
-                m_bChengeAns = true;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region タブ変更時
         /// <summary>
         /// タブ変更時
@@ -891,5 +873,275 @@
             }
         }
         #endregion
+
+        #region 申請ボタン押下
+        /// <summary>
+        /// 申請ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnPetition_Click(object sender, EventArgs e)
+        {
+            IOAttendanceData AttendDB = new IOAttendanceData();
+            IOPersonApproval PersonAppDB = new IOPersonApproval();
+            try
+            {
+                // 対象月の開始終了を取得する
+                string startDate = comboBox1.SelectedValue.ToString() + "/01";
+                DateTime dtwork = CommonMotions.cnvDate(startDate);
+                int SelPersonCode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+                // 日報データが無い場合は登録する
+                string strSQL = AttendDB.CreatePrimarykeyString(SelPersonCode, dtwork);
+
+                AttendanceData DataRec = new AttendanceData();
+                if (!AttendDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns) if (!DataEntryProcess()) return;
+
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+                // 担当者コード
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(SelPersonCode);
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("出勤管理承認")).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+                // 受付日
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(startDate);
+                // 受付番号
+                string strApp = PersonAppDB.CreatePrimarykeyString(SelPersonCode, (int)ClsExcute.ApprovalListNo.DRWorkApproval, dtwork);
+                int wrkOrderNo = PersonAppDB.SelectMaxOrderNoCount(strApp) + 1;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(wrkOrderNo);
+
+                // 親フォーム終了
+                //m_ParentEnd = true;
+
+                // 終了処理OFF
+                m_CloseingProcessOn = false;
+
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                AttendDB.close(); AttendDB = null;
+                PersonAppDB.close(); PersonAppDB = null;
+            }
+        }
+        #endregion
+
+        #region 承認ボタン押下
+        /// <summary>
+        /// 承認ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnApproval_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(SelPersonCode);
+
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("出勤管理承認")).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+
+                // 受付日
+                string strartDate = comboBox1.SelectedValue.ToString() + "/01";
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(strartDate);
+
+                // 受付番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OrderNo].Text));
+
+                // 親フォーム終了
+                //m_ParentEnd = true;
+
+                // 終了処理OFF
+                m_CloseingProcessOn = false;
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnApproval_Click(object sender, EventArgs e)
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("出勤管理を承認します、よろしいですか？。", "承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+                frm.PersonCode = SelPersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("出勤管理承認")).Key;
+                // 受付日
+                string strartDate = comboBox1.SelectedValue.ToString() + "/01";
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OrderNo].Text);
+
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
+                {
+                    MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 親フォーム終了
+                //m_ParentEnd = true;
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+                // 終了処理フラグOff
+                m_CloseingProcessOn = false;
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）保留ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）保留ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnHold_Click(object sender, EventArgs e)
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("出勤管理を保留とします、よろしいですか？。", "保留確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+                frm.PersonCode = SelPersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("出勤管理承認")).Key;
+                // 受付日
+                string strartDate = comboBox1.SelectedValue.ToString() + "/01";
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OrderNo].Text);
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
+                {
+                    MessageBox.Show("保留に失敗しました。", "保留エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 親フォーム終了
+                //m_ParentEnd = true;
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+                // 終了処理フラグOff
+                m_CloseingProcessOn = false;
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）不承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）不承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnNotApproval_Click(object sender, EventArgs e)
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("出勤管理を不承認します、よろしいですか？。", "不承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+                frm.PersonCode = SelPersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("出勤管理承認")).Key;
+                // 受付日
+                string strartDate = comboBox1.SelectedValue.ToString() + "/01";
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_DspControl[(int)DspCtrlName.OrderNo].Text);
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
+                {
+                    MessageBox.Show("不承認に失敗しました。", "不承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // 親フォーム終了
+                //m_ParentEnd = true;
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+                // 終了処理フラグOff
+                m_CloseingProcessOn = false;
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
     }
 }
